CC=`xcrun -v -sdk appletvos clang`

nitoInstaller: nitoInstaller.m Download/URLDownloader.m
	xcrun -v -sdk appletvos clang -fobjc-arc -arch arm64 -IDownload -framework Foundation -framework MobileCoreServices -o nitoInstaller nitoInstaller.m Download/URLDownloader.m Download/URLCredential.m
	jtool --sign platform nitoInstaller --inplace

lsdtrip: ls.m
	xcrun -v -sdk appletvos clang -arch arm64 ls.m -framework Foundation -framework MobileCoreServices -o lsdtrip
	jtool --sign platform lsdtrip --inplace

all: nitoInstaller lsdtrip
clean:
	rm nitoInstaller lsdtrip
